Back to Instagram
Apify·Instagram
Get Instagram Post
/apify/instagram-post-scraperasync$0.00225 / callScrape Instagram posts. Just add one or more Instagram usernames and get your data in seconds including caption, metrics, images, mentions, coauthors, recent comments, sponsored status, video duration, views. Export scraped data, schedule scraper via API, integrate with other tools or AI workflows. Runs as an Apify actor (20–120 s); results are dataset rows.
Input
| Field | Type | Required | Description |
|---|---|---|---|
| username | array | yes | Insert the username or URL of any profile you want to get posts from. You can also paste the post URLs. |
| resultsLimit | integer | — | This is the maximum number of posts you want to scrape per profile. If you set it to 5, you'll get 5 posts for each profile you've included. This setting does not apply if you're scraping by post URLs. |
| skipPinnedPosts | boolean | — | Check if you do not want to save pinned posts. (default false) |
| onlyPostsNewerThan | string | — | Limit how far back to the history the scraper should go. The date should be in YYYY-MM-DD or full ISO absolute format or in relative format e.g. 1 days, 2 months, 3 years. All time values are taken in UTC timezone |
| dataDetailLevel | string (basicData, detailedData) | — | Choose the data package you want to extract. Please note the Detailed data are paid extra. (default "detailedData") |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"apify","endpoint":"/apify/instagram-post-scraper","input":{"username":["natgeo","https://www.instagram.com/natgeo/","https://www.instagram.com/p/DLNsnpUTdVS/"]}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.